import EcasBasePage from './ecas-base.js';

export default class EcasNewPasswordPage extends EcasBasePage {
    /**
    * @type string
    */
    get newPasswordInput() {
        return this.inputById(this.root, 'newPassword');
    }
    /**
    * @type string
    */
    get passwordConfirmationInput() {
        return this.inputById(this.root, 'confirmNewPassword');
    }
    /**
    * @type string
    */
    get changePasswordSubmit() {
        let path = '//input[@id="imminentChangePassword"]';
        return this.root + path;
    }
    /**
    * @type string
    */
    get continueWithoutPasswordChangeSubmit() {
        let path = '//input[@id="imminentForceLogin"]';
        return this.root + path;
    }
}


